Bug 49672 - bind postinstall script creates /etc/rndc.conf with wrong attributes
Summary: bind postinstall script creates /etc/rndc.conf with wrong attributes
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: bind   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-23 00:40 UTC by Jonathan Kamens
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-23 00:40:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2001-07-23 00:40:38 UTC
The code in the postinstall package for bind-9.1.3-3 creates rndc.conf
without resetting its group and permissions properly.  It should call
"chmod 640 /etc/rndc.conf" and "chgrp named /etc/rndc.conf" after creating
it.

Comment 1 Bernhard Rosenkraenzer 2001-10-02 22:13:32 UTC
This is fixed in 9.1.3-4 and later.




Note You need to log in before you can comment on or make changes to this bug.